Package fr.gouv.vitam.worker.core.plugin.bulkatomicupdate

# Class BulkAtomicUpdateQueryProcessItem

java.lang.Object
fr.gouv.vitam.worker.core.plugin.bulkatomicupdate.BulkAtomicUpdateQueryProcessItem

public class BulkAtomicUpdateQueryProcessItem extends Object
BulkAtomicUpdateQueryProcessItem Represents an update query

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BulkAtomicUpdateQueryProcessItem(String unitId, com.fasterxml.jackson.databind.JsonNode originalQuery, int queryIndex)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `com.fasterxml.jackson.databind.JsonNode`
  `getFinalQuery()`
  `com.fasterxml.jackson.databind.JsonNode`
  `getOriginalQuery()`
  `int`
  `getQueryIndex()`
  `BulkUpdateUnitMetadataReportEntry`
  `getReportEntry()`
  `ItemStatus`
  `getStatus()`
  `String`
  `getUnitId()`
  `void`
  `setFinalQuery(com.fasterxml.jackson.databind.JsonNode finalQuery)`
  `void`
  `setReportEntry(BulkUpdateUnitMetadataReportEntry reportEntry)`
  `void`
  `setStatus(ItemStatus status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BulkAtomicUpdateQueryProcessItem

    public BulkAtomicUpdateQueryProcessItem(String unitId, com.fasterxml.jackson.databind.JsonNode originalQuery, int queryIndex)

- ## Method Details

  - ### getOriginalQuery

    public com.fasterxml.jackson.databind.JsonNode getOriginalQuery()

  - ### getUnitId

    public String getUnitId()

  - ### getReportEntry

    public BulkUpdateUnitMetadataReportEntry getReportEntry()

  - ### setReportEntry

    public void setReportEntry(BulkUpdateUnitMetadataReportEntry reportEntry)

  - ### getFinalQuery

    public com.fasterxml.jackson.databind.JsonNode getFinalQuery()

  - ### setFinalQuery

    public void setFinalQuery(com.fasterxml.jackson.databind.JsonNode finalQuery)

  - ### getStatus

    public ItemStatus getStatus()

  - ### setStatus

    public void setStatus(ItemStatus status)

  - ### getQueryIndex

    public int getQueryIndex()